=== debian/changelog ===
pglogical (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * Initial release. (Closes: #837730)

 -- Michael Banck <michael.banck@credativ.de>  Thu, 18 May 2017 20:51:02 +0200
