=== debian/control ===
Source: pglogical
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 153~),
 libselinux1-dev [linux-any], libxml2-dev, libpam0g-dev, libssl-dev, krb5-multidev, libedit-dev, libxslt1-dev, zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pglogical.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pglogical.git
Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 

Package: postgresql-9.6-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.
