=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, postgresql-9.6-pgtap, postgresql-server-dev-all
Tests: installcheck, prove
Restrictions: allow-stderr
