=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/  http://packages.2ndquadrant.com/pglogical/tarballs/pglogical-(.+).tar.bz2
