## pglogical 2.1.0

=== debian/changelog ===
pglogical (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * debian/patches/rel2_0_stable_branch.patch: Remove outdated patch
  * debian/patches/v10_compatibility.patch: Remove outdated patch
  * debian/control, debian/control.in: Add myself to Uploaders field

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 17 Oct 2017 21:27:47 +0000

pglogical (2.0.1-1) unstable; urgency=medium

  [ Marco Nenciarini ]
  * New upstream version 2.0.1
  * debian/tests/regresscheck: New file, runs regresscheck instead of
    installcheck and makes sure the tests run if autopkgtest is started by both
    root or a regular user.
  * debian/tests/control.in, debian/tests/control: Switch from installcheck to
    regresscheck.
  * debian/tests/installcheck: Removed, no longer needed.
  * debian/patches/support_installcheck.patch: Likewise.

  [ Michael Banck ]
  * debian/rules (override_dh_auto_clean): Run make clean.
  * debian/patches/expected_output_init_fail_test.patch: Adjusted accordingly.
  * debian/patches/v10_compatibility.patch: New patch, adds support for
    PostgreSQL v10.
  * debian/tests/installcheck: Run tests as user postgres if autopkgtest is
    invoked under root privileges.
  * debian/control, debian/tests/control: Regenerated via `pg_buildext
    updatecontrol'.
  * debian/patches/rel2_0_stable_branch.patch: New patch, adds the changes from
    the REL2_0_STABLE branch through commit 7eb344bf.
  * debian/tests/prove: Rewrite according to regresscheck.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 25 Sep 2017 22:24:25 +0200
