=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Michael Banck <michael.banck@credativ.de>
+Uploaders: Michael Banck <michael.banck@credativ.de>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
  debhelper (>= 9),
  postgresql-server-dev-all (>= 153~),
@@ -12,9 +12,9 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 
 
-Package: postgresql-9.6-pglogical
+Package: postgresql-10-pglogical
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
 Suggests:
 Description: Logical Replication Extension for PostgreSQL
  The pglogical extension provides logical streaming replication between
