## pglogical 2.1.1

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,12 @@
 	   pglogical--1.0.1--1.1.0.sql \
 	   pglogical--1.1.0--1.1.1.sql pglogical--1.1.1--1.1.2.sql \
 	   pglogical--1.1.2--1.2.0.sql \
-	   pglogical--1.2.0--1.2.1.sql pglogical--1.2.1--2.0.0.sql \
-	   pglogical--2.0.0.sql
+	   pglogical--1.2.0--1.2.1.sql pglogical--1.2.1--1.2.2.sql \
+	   pglogical--1.2.2--2.0.0.sql \
+	   pglogical--2.0.0--2.0.1.sql \
+	   pglogical--2.0.0--2.1.0.sql pglogical--2.0.1--2.1.0.sql \
+	   pglogical--2.1.0--2.1.1.sql \
+	   pglogical--2.1.1.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -21,11 +25,11 @@
 	   pglogical_dependency.o pglogical_apply_heap.o pglogical_apply_spi.o \
 	   pglogical_output_config.o pglogical_output_plugin.o \
 	   pglogical_output_proto.o pglogical_proto_json.o \
-	   pglogical_proto_native.o
+	   pglogical_proto_native.o pglogical_monitoring.o
 
 SCRIPTS_built = pglogical_create_subscriber
 
-REGRESS = preseed infofuncs init_fail init preseed_check basic extended \
+REGRESS = preseed infofuncs init_fail init preseed_check basic extended conflict_secondary_unique \
 		  toasted replication_set add_table matview bidirectional primary_key \
 		  interfaces foreign_key functions copy triggers parallel row_filter \
 		  row_filter_sampling att_list column_filter apply_delay multiple_upstreams \
@@ -46,9 +50,9 @@
 
 PG_CONFIG ?= pg_config
 
-PGVER := $(shell $(PG_CONFIG) --version | sed 's/[^0-9\.]//g' | awk -F . '{ print $$1$$2 }')
+PGVER := $(shell $(PG_CONFIG) --version | sed 's/[^0-9]//g' | cut -c 1-2)
 
-PG_CPPFLAGS += -I$(libpq_srcdir) -I$(realpath $(srcdir)/compat$(PGVER))
+PG_CPPFLAGS += -I$(libpq_srcdir) -I$(realpath $(srcdir)/compat$(PGVER)) -Werror=implicit-function-declaration
 SHLIB_LINK += $(libpq)
 
 OBJS += $(srcdir)/compat$(PGVER)/pglogical_compat.o
