=== debian/changelog ===
pglogical (2.1.1-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Move packaging repository to salsa.debian.org

  [ Marco Nenciarini ]
  * New upstream version 2.1.1
  * Bump Standards Version to 4.1.3 (no changes)
  * debian/rules: Do not ignore make errors during clean

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 11 Jan 2018 12:33:08 +0100
