=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  debhelper (>= 9),
  postgresql-server-dev-all (>= 153~),
  libselinux1-dev [linux-any], libxml2-dev, libpam0g-dev, libssl-dev, krb5-multidev, libedit-dev, libxslt1-dev, zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pglogical.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pglogical.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
+Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 
 
 Package: postgresql-10-pglogical
