## pglogical 2.2.0

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 	   pglogical--1.2.2--2.0.0.sql \
 	   pglogical--2.0.0--2.0.1.sql \
 	   pglogical--2.0.0--2.1.0.sql pglogical--2.0.1--2.1.0.sql \
-	   pglogical--2.1.0--2.1.1.sql \
-	   pglogical--2.1.1.sql
+	   pglogical--2.1.0--2.1.1.sql pglogical--2.1.1--2.2.0.sql \
+	   pglogical--2.2.0.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -179,3 +179,59 @@
 endef
 
 $(foreach target,$(if $1,$1,$(standard_targets)),$(foreach subdir,$(if $2,$2,$(SUBDIRS)),$(eval $(call _pgl_create_recursive_target,$(target),$(subdir),$(if $3,$3,$(target))))))
+
+
+#
+# The following hideous hack works around pg_regress's inability to inject
+# prefix commands by using a wrapper 'postgres' that finds the real postgres.
+#
+
+define VALGRIND_WRAPPER
+#!/bin/bash
+
+set -e -u -x
+
+# May also want --expensive-definedness-checks=yes
+#
+# Quicker runs without --track-origins=yes --read-var-info=yes
+#
+# If you don't want leak checking, use --leak-check=no
+#
+# When just doing leak checking and not looking for detailed memory error reports you don't need:
+# 	--track-origins=yes --read-var-info=yes --malloc-fill=8f --free-fill=9f 
+#
+SUPP=$(POSTGRES_SRC)/src/tools/valgrind.supp
+
+# Pop top two elements from path; the first is added by pg_regress
+# and the next is us.
+function join_by { local IFS="$$1"; shift; echo "$$*"; }
+IFS=':' read -r -a PATHA <<< "$$PATH"
+export PATH=$$(join_by ":" "$${PATHA[@]:2}")
+
+NEXT_POSTGRES=$$(which postgres)
+if [ "$${NEXT_POSTGRES}" -ef "./valgrind/postgres" ]; then
+    echo "ERROR: attempt to execute self"
+    exit 1
+fi
+
+echo "Running $${NEXT_POSTGRES} under Valgrind"
+
+valgrind --leak-check=full --show-leak-kinds=definite,possible,reachable --gen-suppressions=all \
+	--suppressions="$${SUPP}" --suppressions=`pwd`/pglogical.supp --verbose \
+	--time-stamp=yes  --log-file=valgrind-$$$$-%p.log --trace-children=yes \
+	--track-origins=yes --read-var-info=yes --malloc-fill=8f --free-fill=9f \
+	--num-callers=30 \
+	postgres "$$@"
+
+endef
+
+export VALGRIND_WRAPPER
+
+valgrind-check:
+	$(if $(POSTGRES_SRC),,$(error set Make variable POSTGRES_SRC to postgres source dir to find valgrind.supp))
+	$(if $(wildcard $(POSTGRES_SRC)/src/tools/valgrind.supp),,$(error missing valgrind suppressions at $(POSTGRES_SRC)/src/tools/valgrind.supp))
+	mkdir -p valgrind/
+	echo "$$VALGRIND_WRAPPER" > valgrind/postgres
+	chmod a+x valgrind/postgres
+	PATH=./valgrind/:$(PATH) $(MAKE) check
+	rm valgrind/postgres
