=== debian/changelog ===
pglogical (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 22 Mar 2018 07:53:24 +0000

pglogical (2.1.1-2) unstable; urgency=medium

  * debian/patches/expected_output_init_fail_test.patch: Fix regression
    tests
  * debian/patches/fix_signalling_to_apply_worker.patch: Fix signalling to
     apply worker (Closes: #882217)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 01 Mar 2018 00:22:48 +0000
