## pglogical 2.2.1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,8 @@
 	   pglogical--2.0.0--2.0.1.sql \
 	   pglogical--2.0.0--2.1.0.sql pglogical--2.0.1--2.1.0.sql \
 	   pglogical--2.1.0--2.1.1.sql pglogical--2.1.1--2.2.0.sql \
-	   pglogical--2.2.0.sql
+	   pglogical--2.2.0.sql \
+	   pglogical--2.2.0--2.2.1.sql pglogical--2.2.1.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -36,7 +37,8 @@
 		  node_origin_cascade drop
 
 EXTRA_CLEAN += compat94/pglogical_compat.o compat95/pglogical_compat.o \
-			   compat96/pglogical_compat.o pglogical_create_subscriber.o
+			   compat96/pglogical_compat.o compat10/pglogical_compat.o \
+			   pglogical_create_subscriber.o
 
 # The # in #define is taken as a comment, per https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=142043
 # so it must be escaped. The $ placeholders in awk must be doubled too.
@@ -165,6 +167,12 @@
 # Copy perl modules in postgresql_srcdir/src/test/perl
 # to postgresql_installdir/lib/pgxs/src/test/perl
 
+
+define prove_check
+rm -rf $(CURDIR)/tmp_check/log
+cd $(srcdir) && TESTDIR='$(CURDIR)' $(with_temp_install) PGPORT='6$(DEF_PGPORT)' PG_REGRESS='$(top_builddir)/src/test/regress/pg_regress' $(PROVE) --verbose $(PG_PROVE_FLAGS) $(PROVE_FLAGS) $(or $(PROVE_TESTS),t/*.pl)
+endef
+
 check_prove:
 	$(prove_check)
