=== debian/changelog ===
pglogical (2.2.1-4) unstable; urgency=medium

  * Team upload.
  * Recompile against new heap_getattr() API in PostgreSQL 11.2.

 -- Christoph Berg <myon@debian.org>  Tue, 12 Feb 2019 15:11:05 +0100

pglogical (2.2.1-3) unstable; urgency=medium

  * debian/patches/test_increase_timeouts.patch: Increase statement timeouts in
    further regresssions tests. 
  * debian/patches/test_configuration.patch: New patch, sets
    checkpoint_timeout to 30 seconds and wal_sender_timeout to 2 minutes for
    the regression tests.  Also deactivates pglogical.synchronous_commit ...
  * debian/patches/deactivate_sync_commit_regresstests.patch: ... dropping this
    patch.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 06 Feb 2019 18:52:42 +0100

pglogical (2.2.1-2) unstable; urgency=medium

  [ Michael Banck ]
  * debian/tests/regresscheck: Only exit with failure after all versions have
    been checked, not immediately. Also, dump full log output on failure.
  * debian/tests/prove: Likewise.
  * debian/patches/test_increase_timeouts.patch: Increase statement timeouts in
    several regression tests.

  [ Christoph Berg ]
  * Use shared gitlab-ci.yml file from postgresql-common.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 22 Jan 2019 17:41:38 +0100

pglogical (2.2.1-1) unstable; urgency=medium

  * New upstream minor release.

  [ Christoph Berg ]
  * debian/tests/regresscheck, debian/tests/prove: Show version being tested in
    testsuite.

  [ Michael Banck ]
  * debian/patches/pglogical_create_subscriber_set_port.patch: Refreshed. 
  * debian/patches/v11_support.patch: Removed, no longer needed.
  * debian/patches/alternative_regression_outputs.patch: Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 29 Oct 2018 11:02:58 +0100

pglogical (2.2.0-6) unstable; urgency=medium

  * debian/tests/prove: Fix version detection for v9.4.

 -- Michael Banck <michael.banck@credativ.de>  Sat, 20 Oct 2018 16:09:13 +0200

pglogical (2.2.0-5) unstable; urgency=medium

  * debian/patches/v94_tap_support.patch: New patch, adds v9.4 support to
    020_non_default_replication_set.pl TAP test.
  * debian/tests/prove: Run 020_non_default_replication_set.pl TAP test on
    v9.4.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 19 Oct 2018 23:32:20 +0200

pglogical (2.2.0-4) unstable; urgency=medium

  * debian/patches/alternative_regression_outputs.patch: New patch, adding an
    additional expected output file pre-v11. 
  * debian/gitlab-ci.yml: Run pg_buildext updatecontrol before build.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 19 Oct 2018 21:13:28 +0200

pglogical (2.2.0-3) unstable; urgency=medium

  * debian/patches/deactivate_sync_commit_regresstests.patch: New patch,
    deactivates pglogical.synchronous_commit during the regression tests, which
    seems to make them much faster.
  * debian/gitlab-ci.yml: New file.
  * debian/patches/v11_support.patch: Updated with upstream fixes 0a51cbc2
    through 856fbf72.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 19 Oct 2018 16:20:40 +0200

pglogical (2.2.0-2) unstable; urgency=medium

  [ Christoph Berg ]
  * Move maintainer address to team+postgresql@tracker.debian.org.

  [ Michael Banck ]
  * debian/control: Rebuild against postgresql-11.
  * debian/patches/v11_support.patch: New patch, adds support for PostgreSQL
    v11, adopted from upstream commits 8328c3ab through 87756182.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 16 Oct 2018 07:08:39 +0200
