=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pglogical
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <michael.banck@credativ.de>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -12,9 +12,9 @@
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 
 
-Package: postgresql-10-pglogical
+Package: postgresql-11-pglogical
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
 Suggests:
 Description: Logical Replication Extension for PostgreSQL
  The pglogical extension provides logical streaming replication between
