=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, postgresql-11-pgtap, postgresql-server-dev-all
Tests: regresscheck, prove
Restrictions: allow-stderr
