## pglogical 2.2.2

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,8 @@
 	   pglogical--2.0.0--2.1.0.sql pglogical--2.0.1--2.1.0.sql \
 	   pglogical--2.1.0--2.1.1.sql pglogical--2.1.1--2.2.0.sql \
 	   pglogical--2.2.0.sql \
-	   pglogical--2.2.0--2.2.1.sql pglogical--2.2.1.sql
+	   pglogical--2.2.0--2.2.1.sql pglogical--2.2.1.sql \
+	   pglogical--2.2.1--2.2.2.sql pglogical--2.2.2.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
