=== debian/changelog ===
pglogical (2.2.2-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 05 Aug 2019 19:11:36 +0200

pglogical (2.2.2-1) unstable; urgency=medium

  * New upstream minor release.
  * debian/patches/adapt_tap_tests.patch: Updated.
  * debian/patches/v94_tap_support.patch: Likewise.
  * debian/patches/test_increase_timeouts.patch: Likewise.
  * debian/patches/pglogical_dump.patch: New patch, includes the pglogical_dump
    submodule which is not part of the Github release tarball.
  * debian/watch: Rewritten for Github.
  * debian/patches/post-2.2.2.patch: New patch, contains upstream fixes since
    the 2.2.2 release.
  * debian/tests/control.in: Run prove tests first.
  * debian/patches/alternative_regression_outputs.patch: New patch, adds an
    additional output file for row_filter regression test.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 05 Aug 2019 19:11:36 +0200
