=== debian/control ===
--- 
+++ 
@@ -11,6 +11,70 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 
+
+Package: postgresql-9.4-pglogical
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
+Suggests:
+Description: Logical Replication Extension for PostgreSQL
+ The pglogical extension provides logical streaming replication between
+ PostgreSQL instances, using a publish/subscribe model.  Contrary to the
+ built-in streaming replication, pglogical can replicate between major versions
+ or different architectures and is not restricted to replicate the entire
+ instance but can selectively replicate arbitrary sets of tables.
+ .
+ Use-Cases include migrations and major-version upgrades, aggregation of
+ several databases into a Data Warehouse, It utilises the Logical Decoding
+ features available since PostgreSQL 9.4 working with low overhead on both
+ provider and subscriber.
+
+Package: postgresql-9.5-pglogical
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
+Suggests:
+Description: Logical Replication Extension for PostgreSQL
+ The pglogical extension provides logical streaming replication between
+ PostgreSQL instances, using a publish/subscribe model.  Contrary to the
+ built-in streaming replication, pglogical can replicate between major versions
+ or different architectures and is not restricted to replicate the entire
+ instance but can selectively replicate arbitrary sets of tables.
+ .
+ Use-Cases include migrations and major-version upgrades, aggregation of
+ several databases into a Data Warehouse, It utilises the Logical Decoding
+ features available since PostgreSQL 9.4 working with low overhead on both
+ provider and subscriber.
+
+Package: postgresql-9.6-pglogical
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
+Suggests:
+Description: Logical Replication Extension for PostgreSQL
+ The pglogical extension provides logical streaming replication between
+ PostgreSQL instances, using a publish/subscribe model.  Contrary to the
+ built-in streaming replication, pglogical can replicate between major versions
+ or different architectures and is not restricted to replicate the entire
+ instance but can selectively replicate arbitrary sets of tables.
+ .
+ Use-Cases include migrations and major-version upgrades, aggregation of
+ several databases into a Data Warehouse, It utilises the Logical Decoding
+ features available since PostgreSQL 9.4 working with low overhead on both
+ provider and subscriber.
+
+Package: postgresql-10-pglogical
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
+Suggests:
+Description: Logical Replication Extension for PostgreSQL
+ The pglogical extension provides logical streaming replication between
+ PostgreSQL instances, using a publish/subscribe model.  Contrary to the
+ built-in streaming replication, pglogical can replicate between major versions
+ or different architectures and is not restricted to replicate the entire
+ instance but can selectively replicate arbitrary sets of tables.
+ .
+ Use-Cases include migrations and major-version upgrades, aggregation of
+ several databases into a Data Warehouse, It utilises the Logical Decoding
+ features available since PostgreSQL 9.4 working with low overhead on both
+ provider and subscriber.
 
 Package: postgresql-11-pglogical
 Architecture: any
