=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, postgresql-9.4-pgtap, postgresql-9.5-pgtap, postgresql-9.6-pgtap, postgresql-10-pgtap, postgresql-11-pgtap, postgresql-server-dev-all
Tests: prove, regresscheck
Restrictions: allow-stderr
