=== debian/changelog ===
pglogical (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/post-2.2.2.patch: Removed, no longer needed.
  * debian/patches/pglogical_create_subscriber_set_port.patch: Refreshed.
  * debian/patches/test_configuration.patch: Likewise.
  * debian/patches/test_add_missing_timeouts.patch: New patch, sets
    statement_timeout before wait_for_subscription_sync_complete() calls in new
    map testcase.
  * debian/patches/test_increase_timeouts.patch: Double timeouts of add_table
    testcase.
  * debian/control, debian/tests/control: Updated for v12.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 26 Feb 2020 10:12:59 +0100
