=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dh_installdocs --all README.*
 
 override_dh_auto_clean:
-	-$(MAKE) clean
+	$(MAKE) clean
 	+pg_buildext clean build-%v
 	rm -rf regression.diffs regression.out results tmp_check log
 	rm -f pglogical_create_subscriber_postgres.log
