=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, postgresql-12-pgtap, postgresql-server-dev-all
Tests: prove, regresscheck
Restrictions: allow-stderr
