=== debian/watch ===
version=3
opts="uversionmangle=s/^REL(\d)_(\d)_(\d)$/$1.$2.$3/" \
https://github.com/2ndQuadrant/pglogical/releases .*/archive/(.*).tar.gz
