=== debian/changelog ===
pglogical (2.3.2-1) unstable; urgency=medium

  * New upstream minor release (Closes: #962423).

 -- Michael Banck <michael.banck@credativ.de>  Tue, 09 Jun 2020 00:00:47 +0200

pglogical (2.3.1-1) unstable; urgency=medium

  * New upstream minor release.
  * debian/patches/test_add_missing_timeouts.patch: Removed, no longer needed. 

 -- Michael Banck <michael.banck@credativ.de>  Tue, 28 Apr 2020 11:29:16 +0200
