=== debian/changelog ===
pglogical (2.3.3-3+deb11u1) bullseye; urgency=medium

  * Adjust to PostgreSQL 13.4 snapshot handling fixes (PG commit ef9480509).
  * debian/watch: Fix github URL.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Aug 2021 14:37:18 +0200

pglogical (2.3.3-3) unstable; urgency=high

  * debian/patches/cve-2021-3515.patch: New patch (taken from upstream commit
    95c0e89), fixes shell injection by pglogical users with CREATEDB access
    (CVE-2021-3515, Closes: #988735).

 -- Michael Banck <michael.banck@credativ.de>  Wed, 19 May 2021 19:07:56 +0200

pglogical (2.3.3-2) unstable; urgency=medium

  * Team upload.
  * Add B-D on libreadline-dev as PGXS adds -lreadline, even when it's not
    being used. (Closes: #973129)

 -- Christoph Berg <myon@debian.org>  Fri, 13 Nov 2020 15:12:59 +0100

pglogical (2.3.3-1) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * debian/patches/test_configuration.patch: Set pglogical.synchronous_commit
    back to true. This seems to stabilize the add_table tests somewhat, so any
    time savings due to its disabling won't be worth it.

  [ Christoph Berg ]
  * New upstream version.
  * Upload for PostgreSQL 13, add B-D on libkrb5-dev.
  * Use dh --with pgxs.
  * DH 13, R³: no.
  * Disable add_table test because it's very slow and tends to fail.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.
  * debian/tests: Use installed-versions instead of supported-versions.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Oct 2020 17:57:26 +0200

pglogical (2.3.2-2) unstable; urgency=medium

  * debian/patches/pglogical_create_subscriber_set_port.patch: Removed, this
    patch causes an unwanted behaviour change in pglogical_create_subscriber.
  * debian/patches/adapt_tap_tests.patch: Set subscriber PGPORT in the
    environment before running pglogical_create_subscriber, now that we no
    longer hardcode the port.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 25 Sep 2020 14:23:52 +0200
