=== debian/control ===
--- 
+++ 
@@ -4,17 +4,20 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <michael.banck@credativ.de>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
- debhelper (>= 9),
- postgresql-server-dev-all (>= 153~),
+ debhelper-compat (= 13),
+ postgresql-server-dev-all (>= 217~),
+ libkrb5-dev,
+ libreadline-dev,
  libselinux1-dev [linux-any], libxml2-dev, libpam0g-dev, libssl-dev, krb5-multidev, libedit-dev, libxslt1-dev, zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
-Homepage: https://www.2ndquadrant.com/en/resources/pglogical/ 
+Homepage: https://www.2ndquadrant.com/en/resources/pglogical/
 
-Package: postgresql-12-pglogical
+Package: postgresql-13-pglogical
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
 Suggests:
 Description: Logical Replication Extension for PostgreSQL
  The pglogical extension provides logical streaming replication between
