=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, postgresql-13-pgtap, make
Tests: prove, regresscheck
Restrictions: allow-stderr
